package com.zaojiao.app.feat.settings

import androidx.compose.foundation.background
import androidx.compose.foundation.layout.Column
import androidx.compose.foundation.layout.fillMaxWidth
import androidx.compose.foundation.layout.padding
import androidx.compose.foundation.layout.wrapContentHeight
import androidx.compose.foundation.shape.RoundedCornerShape
import androidx.compose.material3.Text
import androidx.compose.runtime.Composable
import androidx.compose.ui.Modifier
import androidx.compose.ui.draw.clip
import androidx.compose.ui.graphics.Color
import androidx.compose.ui.text.TextStyle
import androidx.compose.ui.text.font.FontWeight
import androidx.compose.ui.unit.dp
import androidx.compose.ui.unit.sp
import com.zaojiao.app.feat.design.Colors

@Composable
fun SettingsVideo() {
    Column(
        modifier = Modifier
            .padding(horizontal = 12.dp)
            .clip(shape = RoundedCornerShape(10.dp))
            .background(color = Color.White)
            .wrapContentHeight()
            .fillMaxWidth(),
    ) {
        Text(
            text = "视频护眼设置",
            modifier = Modifier
                .padding(top = 16.dp, bottom = 7.dp, start = 12.dp, end = 12.dp)
                .fillMaxWidth(),
            style = TextStyle(
                color = Colors.FF999999,
                fontSize = 13.sp,
                lineHeight = 18.sp,
                fontWeight = FontWeight.Normal,
            )
        )

        SettingsIndexSelectorItem(
            title = "每次观看时长",
            value = "不限制",
            onClick = {},
        )
    }
}